aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xuntex/watch21
1 files changed, 21 insertions, 0 deletions
diff --git a/untex/watch b/untex/watch
new file mode 100755
index 0000000..99e0009
--- /dev/null
+++ b/untex/watch
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+[ -f index.html ] && rm index.html
+
+wget 'ftp://ftp.thp.uni-duisburg.de/pub/source/' -O index.html >/dev/null 2>/dev/null
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ grep -o '>untex-.*<' < index.html | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'untex'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'untex (unfetchable)'
+fi
+